library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;

entity scounter is
    port (
        clock: in STD_LOGIC;
        clear: in STD_LOGIC;
        sequence: buffer STD_LOGIC_VECTOR(2 downto 0)
    );
end scounter;

architecture scounter_arch of scounter is
begin
	process(clock, clear)
	begin
		if(clear = '1') then
			sequence <= "000";
		elsif(clock' event and clock = '1') then
			sequence <= sequence + 1;
		end if;
	end process;
end scounter_arch;
